Subject: Re: bug#27844: 26.0.50; Dired w/ eshell-ls doesn't support wildcards in file name

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Aug 2017 18:37:37 +0300

> From: Tino Calancha <[email-masked]>
> Date: Tue, 1 Aug 2017 23:06:01 +0900 (JST)
> cc: Tino Calancha <[email-masked]>, [email-masked]
> 
> > If eshell-extended-glob already signals an error when it's TRT, why do
> > you need to signal an error if Eshell doesn't?  What am I missing?
> I prefer to throw an error because looks familiar compared with
> what i see when using GNU/ls.
> If i try:
> C-x d ~/emacs-master/lisp/*.Z RET
> 
> I) with GNU/ls or with ls-lisp:
> i get an error and i read in the echo area:
> Reading directory: No such file or directory, ~/emacs-master/lisp/*Z
> 
> II) with eshell-ls:
> I actualy get a Dired buffer with an entry (the directory itself).
> 
> I rather prefer if II) behaves as I) regardless on 
> 'eshell-error-if-no-glob', that means, my second patch with the 
> user-error.

So we are back to the same issue: this is IMO a user preference, and
you are accustomed to one of the possible behaviors.  And since you
want the behavior to be independent on an already existing user
option, I'm not sure how to proceed.  Maybe you could start by
explaining why you don't want eshell-error-if-no-glob to control this?